## The Goal
Our goal is not to have the biggest list of everything available out there.
Our goal is to have a list of things that anybody would have to learn if they were to enter the field today. 

## Contributing

Your contributions to this repo are always welcome!
Bear in mind, that this repo is *highly opinionated*, *unbiased* and *curated*.
Your opinion on value of any resource may not match the opinion of curator.

**No PR will be discarded without explanations!**

## How are these roadmaps made?

> Roadmaps are made using [Balsamiq](https://balsamiq.com/download/)

* Clone the repository
* Open Balsamiq, click <kbd>Project > Import > Mockup JSON</kbd>,
* Copy and paste the JSON for the roadmap that you want to update
* Add your changes
* Export the JSON file <kbd>Project > Export > Mockup to JSON</kbd> and put it in the <kbd>project</kbd> directory
* Export the image <kbd>Project > Export > Current Mockup to PNG</kbd> and put it in the <kbd>images</kbd> directory
* Commits your changes and open a PR

## Guidelines

- <p><strong>Adding everything available out there is not the goal!</strong><br> 
  The roadmaps represents the skillset most valuable today i.e. if you were to enter any of the listed fields today, what would you learn! There might be things that are of-course being used today but prioritize the things that are most in demand today e.g. agreed that lots of people are using angular.js today but you wouldn't want to learn that instead of React, Angular or Vue. Use your critical thinking to filter out non-essential stuff. Give honest arguments for why the resource should be included.</p>
- <p><strong>One item per Pull Request</strong><br>
  There may be a discussion related to an item you want to add. Adding just a single item per pull request makes it much easier for everyone involved.</p>
- Write meaningful commit messages
- Look at the existing issues/pull requests before opening new ones
