![Web Developer Roadmap - 2019](https://i.imgur.com/s5cCV9q.png)

> Roadmap to becoming a web developer in 2019

Below you find a set of charts demonstrating the paths that you can take and the technologies that you would want to adopt in order to become a frontend, backend or a devops. I made these charts for an old professor of mine who wanted something to share with his college students to give them a perspective; sharing them here to help the community.

If you think that these can be improved in anyway, please do suggest.

***
<p align="center"><b> 🎉 We are working on a more concise version of these roadmaps 🎉 </b><br>Keep your eyes on <a href="http://roadmap.sh">roadmap.sh</a> for the details!</p>

***

> The purpose of these roadmaps is to give you an idea about the landscape and to guide you if you are confused about what to learn next and not to encourage you to pick what is hip and trendy. You should grow some understanding of why one tool would better suited for some cases than the other and remember hip and trendy never means best suited for the job.

## Introduction

![Web Developer Roadmap Introduction](./static/roadmaps/intro.png)

## Frontend Roadmap

![Frontend Roadmap](./static/roadmaps/latest/frontend.png)

## Backend Roadmap

![Backend Roadmap](./static/roadmaps/latest/backend.png)

## DevOps Roadmap

![DevOps Roadmap](./static/roadmaps/latest/devops.png)

## 🚦 Wrap Up

If you think any of the roadmaps can be improved, feel free to discuss it in the issues. Also, I will continue to improve this, so you might want to watch this repository or subscribe at [roadmap.sh](http://roadmap.sh) to revisit.

## 🙌 Contribution

> Have a look at [contribution docs](./contributing) for how to update any of the roadmaps

- Open pull request with improvements
- Discuss ideas in issues
- Spread the word
- Reach out with any feedback [![Twitter URL](https://img.shields.io/twitter/url/https/twitter.com/kamranahmedse.svg?style=social&label=Follow%20%40kamranahmedse)](https://twitter.com/kamranahmedse)
 
## License

[![License: CC BY-NC-ND 3.0](https://img.shields.io/badge/License-CC%20BY--NC--ND%203.0-lightgrey.svg)](https://creativecommons.org/licenses/by-nc-nd/3.0/)
